extern double fabs(), floor(), ceil(), modf(), ldexp(), frexp();
extern double sqrt(), hypot(), atof();
extern double sin(), cos(), tan(), asin(), acos(), atan(), atan2();
extern double exp(), log(), log10(), pow();
extern double sinh(), cosh(), tanh();
extern double gamma();
extern double j0(), j1(), jn(), y0(), y1(), yn();

#define	HUGE	7.0e75		/* fairly close, it will do */
#define	LOGHUGE	76
